package com.atguigu.ssyx.acl.mapper;

import com.atguigu.ssyx.model.acl.AdminRole;
import com.atguigu.ssyx.model.acl.Role;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

public interface AdminRoleMapper extends BaseMapper<AdminRole> {
    /**
     * * 根据用户ID查找角色
     *
     * @param adminId 用户ID
     * @return 角色列表
     */
    List<Role> findRoleByUserId(Long adminId);
}
