package com.atguigu.ssyx.mq.service;

import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class RabbitService {
    @Autowired
    private RabbitTemplate rabbitTemplate;

    /**
     * 发送消息
     *
     * @param exchange  交换机
     * @param routerKey 路由
     * @param message   消息
     */
    public void sendMessage(String exchange, String routerKey, Object message) {
        rabbitTemplate.convertAndSend(exchange, routerKey, message);
    }
}