package com.atguigu.ssyx.product.service;

import com.atguigu.ssyx.model.product.SkuImage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 商品图片 服务类
 * </p>
 *
 * @author bunny
 * @since 2024-04-03
 */
public interface SkuImageService extends IService<SkuImage> {

    /**
     * 根据id查询商品图片列表
     *
     * @param id 商品id
     * @return 商品图片列表
     */
    List<SkuImage> getImageListBySkuId(Long id);
}
